
Foreman - Bug #24950

foreman-debug issues when defining -d "different directory"

09/15/2018 01:45 AM - Waldirio Pinheiro

Status: New   

Priority: Normal   

Assignee: Waldirio Pinheiro   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1623298 Red Hat JIRA:  

Pull request:    

Description

Actually when defining "-d <new path>" the file should be created on the specified directory. The file is created on the correct place

but the point is, there isn't file name, just .<extension>

I'll check the script just to check what is going on. The file is being generated without name.

---

[root@sat631 ~]# foreman-debug -d /waldirio/

Processing... (takes a while)

HOSTNAME: sat631.local.domain

       OS: redhat

  RELEASE: Red Hat Enterprise Linux Server release 7.5 (Maipo)

  FOREMAN: 1.15.6.45

     RUBY: ruby 2.0.0p648 (2015-12-16) [x86_64-linux]

   PUPPET: 3.8.6

  DENIALS: 0

 A debug file has been created: /waldirio/.tar.xz (20168988 bytes)

To upload a tarball to our secure site, please use the u option.

[root@sat631 ~]#

--

History

#1 - 09/15/2018 01:50 AM - Waldirio Pinheiro

- Pull request https://github.com/theforeman/foreman/pull/6070 added

#2 - 09/17/2018 07:19 PM - The Foreman Bot

- Status changed from New to Ready For Testing

#3 - 09/19/2018 01:01 PM - Lukas Zapletal

Waldirio, the problem is trailing slash not how this is designed. It works as expected unless you provide the trailing slash. Please rename the BZ,

Issue and PR and provide fix for this if possible. Thanks for the report, analysis and patch!

BAD SCENARIO:

[root@next ~]# foreman-debug -d /tmp/test/

Processing... (takes a while)

 HOSTNAME: next.nat.lan

       OS: redhat

  RELEASE: Red Hat Enterprise Linux Server release 7.5 (Maipo)

  FOREMAN: 1.18.0.14

     RUBY: ruby 2.0.0p648 (2015-12-16) [x86_64-linux]

   PUPPET: 5.5.0
  DENIALS: 0

A debug file has been created: /tmp/test/.tar.xz (1873524 bytes)

 To upload a tarball to our secure site, please use the -u option.

SUCCESS SCENARIO:

[root@next ~]# foreman-debug -d /tmp/test2

Processing... (takes a while)

 HOSTNAME: next.nat.lan

       OS: redhat

  RELEASE: Red Hat Enterprise Linux Server release 7.5 (Maipo)

  FOREMAN: 1.18.0.14

     RUBY: ruby 2.0.0p648 (2015-12-16) [x86_64-linux]

   PUPPET: 5.5.0

  DENIALS: 0

A debug file has been created: /tmp/test2.tar.xz (963620 bytes)

 To upload a tarball to our secure site, please use the -u option.

#4 - 03/25/2019 01:23 AM - The Foreman Bot

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/6070)
